Bug 968393 - Add package for openstack-java-sdk - OpenStack Java SDK
Add package for openstack-java-sdk - OpenStack Java SDK
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: distribution (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Federico Simoncelli
Jiri Belka
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 11:44 EDT by Federico Simoncelli
Modified: 2016-02-10 12:56 EST (History)
15 users (show)

See Also:
Fixed In Version: is3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 10:32:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2013-05-29 11:44:36 EDT
Description of problem:
Add package for openstack-java-sdk in the RHEV:

https://github.com/woorea/openstack-java-sdk
http://koji.fedoraproject.org/koji/packageinfo?packageID=16232

Contingency plan if this is not accepted is to implement our own openstack rest-api java client.
Comment 1 Jay Greguske 2013-05-29 11:50:57 EDT
If this is meant for 3.3, I have no problem adding this to RHEV. Would you be the maintainer, Federico?

The Version and Milestone fields indicate 3.2 Beta 3 however, which is supposed to be released today. I do have a problem with that. :)
Comment 2 Jay Greguske 2013-05-29 13:38:10 EDT
openstack-java-sdk added to Brew/dist-git for 3.3.
Comment 13 Itamar Heim 2013-09-09 10:16:08 EDT
we need to split this to a separate rpm. it doesn't make sense to bundle it in the engine package. if anything we are trying to make it smaller/modular.
Comment 21 Alon Bar-Lev 2013-11-08 12:56:56 EST
Hello,

We introduced the rhevm-dependencies package in order to have all 3rd party dependencies that are missing from rhel within one maintainable package to be updated when 3rd party dependency needs to be updated.

There is no gain in maintaining any of these dependencies within its own rpm as it only distributes the efforts between multiple maintainers.

The assumption is that at rhel-7 we inherit these packages from fedora, and remove the usage of our provided jars.

The only advantage of providing 3rd party dependency is to build it from source, while once again, this gap will be closed at rhel-7 when inherited from fedora along with the new maven support for rpmbuild.

I suggest keeping the current state we reached, which is quite stable and manageable both in term of maintenance and in term of license management.

Thanks,
Comment 22 Ayal Baron 2013-11-11 10:32:23 EST
This package is *in* rhevm dependencies

Note You need to log in before you can comment on or make changes to this bug.